Skip to main content
GET
/
public
/
v1
/
account-lists
List account lists
curl --request GET \
  --url http://app.stairoids.com/api/public/v1/account-lists \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 11,
    "name": "ABM Tier 1",
    "currentIcp": {
      "id": 7,
      "name": "Mid-market SaaS",
      "industries": [
        "<string>"
      ],
      "minEmployeeCount": 50,
      "maxEmployeeCount": 1000,
      "headquarterCountries": [
        "<string>"
      ]
    },
    "labels": [
      {
        "id": 5,
        "name": "Strategic",
        "color": "#73d89c",
        "userGenerated": true
      }
    ],
    "createdAt": 1719500000000,
    "owner": {
      "id": 30,
      "name": "Stairoids",
      "firstName": "Thomas",
      "lastName": "Berrens",
      "profilePicture": "<string>"
    }
  }
]

Authorizations

X-Api-Key
string
header
required

Your organization's public API key. Manage it at GET /api/user/public-api-key.

Response

OK

id
integer<int64>

Account-list id.

Example:

11

name
string

List name.

Example:

"ABM Tier 1"

currentIcp
object

An Ideal Customer Profile definition.

labels
object[]

Labels assigned to this list.

createdAt
integer<int64>

Creation time, epoch millis.

Example:

1719500000000

owner
object

The user who owns this resource (id, name, avatar — no email).